Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.common
Class GMSContextBase

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.common.GMSContextBase

All Implemented Interfaces:
  GMSContext

Direct Known Subclasses:
  GMSContext

    public abstract class GMSContextBase

extends Object
implements GMSContext

Version:
  $Revision: 1.10 $
Author:
  Shreedhar Ganapathy Date: Jan 31, 2006

Field Summary
`protected GMSMember` | `gmsMember`
`protected GroupManagementService.MemberType` | `gmsMemberType`
`protected String` | `groupName`
`protected static Logger` | `logger`
`protected String` | `memberType`
`protected Router` | `router`
`protected String` | `serverToken`
`protected ShutdownHelper` | `shutdownHelper`
`protected boolean` | `shuttingDown`
`protected Long` | `startTime`
`protected ArrayList<String>` | `suspectList`
`protected ViewWindow` | `viewWindow`

Constructor Summary
`protected` | `GMSContextBase(String serverToken, String groupName, GroupManagementService.MemberType memberType)`

Method Summary
`protected abstract void` | `createDistributedStateCache()`
`String` | `getGroupName()` returns the name of the group this context represents
`GroupManagementService.MemberType` | `getMemberType()`
`protected static String` | `getMemberType(GroupManagementService.MemberType memberType)`
`Router` | `getRouter()` returns the router
`String` | `getServerIdentityToken()` returns the serverIdentityToken pertaining to the process that owns this GMS instance
`boolean` | `isShuttingDown()` Return `true` if shutting down

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.enterprise.ee.cms.impl.common.GMSContext
`addToSuspectList, announceGroupShutdown, announceGroupStartup, assumeGroupLeadership, getDistributedStateCache, getGroupCommunicationProvider, getGroupHandle, getShutdownHelper, getStartTime, getSuspectList, isGroupBeingShutdown, isGroupStartup, isSuspected, isWatchdog, join, leave, removeFromSuspectList, setGroupStartup`

Field Detail

### serverToken

    protected String serverToken

### groupName

    protected String groupName

### router

    protected Router router

### viewWindow

    protected ViewWindow viewWindow

### logger

    protected static final Logger logger

### memberType

    protected String memberType

### gmsMember

    protected GMSMember gmsMember

### suspectList

    protected final ArrayList<String> suspectList

### startTime

    protected final Long startTime

### shuttingDown

    protected boolean shuttingDown

### shutdownHelper

    protected final ShutdownHelper shutdownHelper

### gmsMemberType

    protected final GroupManagementService.MemberType gmsMemberType

Constructor Detail

### GMSContextBase

    protected GMSContextBase(String serverToken,
                             String groupName,
                             GroupManagementService.MemberType memberType)

Method Detail

### getMemberType

    protected static String getMemberType(GroupManagementService.MemberType memberType)

### getMemberType

    public GroupManagementService.MemberType getMemberType()

  Specified by:
    `getMemberType` in interface `GMSContext`

### getServerIdentityToken

    public String getServerIdentityToken()

  returns the serverIdentityToken pertaining to the process that owns this GMS instance

  Specified by:
    `getServerIdentityToken` in interface `GMSContext`
  Returns:
    java.lang.String

### getGroupName

    public String getGroupName()

  returns the name of the group this context represents

  Specified by:
    `getGroupName` in interface `GMSContext`
  Returns:
    the name of the group.

### getRouter

    public Router getRouter()

  returns the router

  Specified by:
    `getRouter` in interface `GMSContext`
  Returns:
    router

### createDistributedStateCache

    protected abstract void createDistributedStateCache()

### isShuttingDown

    public boolean isShuttingDown()

  Return `true` if shutting down

  Specified by:
    `isShuttingDown` in interface `GMSContext`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.